{
    attributes = (
        {
            columnName = "ACT_KEY"; 
            externalType = NUMBER; 
            name = actKey; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ETY_CODE"; 
            externalType = VARCHAR2; 
            name = etyCode; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }
    ); 
    attributesUsedForLocking = (etyCode, actKey); 
    className = "org.cocktail.mangue.modele.mangue.lolf.EORepartEmploiActivite"; 
    classProperties = (toEmploiType, toActivite, dCreation, dModification, actKey, etyCode); 
    externalName = "GRHUM.REPART_EMPLOI_TYPE_ACTI_OLD"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toEmploiType, toActivite, actKey, etyCode); 
        "_nameInObjectStore" = "GRHUM.REPART_EMPLOI_TYPE_ACTIVITE"; 
    }; 
    name = RepartEmploiActivite; 
    primaryKeyAttributes = (etyCode, actKey); 
    relationships = (
        {
            destination = Activite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = actKey; sourceAttribute = actKey; }); 
            name = toActivite; 
        }, 
        {
            destination = EmploiType; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etyCode; sourceAttribute = etyCode; }); 
            name = toEmploiType; 
        }
    ); 
}
